### Method

# WebKit CookieManager get_all_cookies_finish

#### Declaration [src]

    GList*
    webkit_cookie_manager_get_all_cookies_finish (
      WebKitCookieManager* cookie_manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_cookie_manager_get_all_cookies().

The return value is a `GList` of `SoupCookie` instances which should be released with `g_list_free_full()` and soup_cookie_free().

Available since: | 2.42

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `SoupCookie*`
| A `GList` of `SoupCookie` instances.
| The caller of the method takes ownership of the data, and is responsible for freeing it.